Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://geniusforms.ai/api/v1/forms/{id}/webhook/status \ --header 'X-API-Key: <api-key>'
import requests url = "https://geniusforms.ai/api/v1/forms/{id}/webhook/status" headers = {"X-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}}; fetch('https://geniusforms.ai/api/v1/forms/{id}/webhook/status', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "enabled": true, "url": "https://example.com/webhook", "lastDelivery": { "responseCode": 123, "error": "<string>", "attemptedAt": "2023-11-07T05:31:56Z" } }
{ "error": "validation_error", "message": "Invalid request" }
Get the current webhook configuration and last delivery status for a form.
API key obtained from your GeniusForms dashboard
Form ID
Webhook status
true
"https://example.com/webhook"
Show child attributes